layer_dot {keras} | R Documentation

## Layer that computes a dot product between samples in two tensors.

### Description

Layer that computes a dot product between samples in two tensors.

### Usage

    layer_dot(inputs, axes, normalize = FALSE, batch_size = NULL,
      dtype = NULL, name = NULL, trainable = NULL, weights = NULL)

### Arguments

`inputs` | A list of input tensors (at least 2).
`axes` | Integer or list of integers, axis or axes along which to take the dot product.
`normalize` | Whether to L2-normalize samples along the dot product axis before taking the dot product. If set to TRUE, then the output of the dot product is the cosine proximity between the two samples. **kwargs: Standard layer keyword arguments.
`batch_size` | Fixed batch size for layer
`dtype` | The data type expected by the input, as a string (`float32`, `float64`, `int32`...)
`name` | An optional name string for the layer. Should be unique in a model (do not reuse the same name twice). It will be autogenerated if it isn't provided.
`trainable` | Whether the layer weights will be updated during training.
`weights` | Initial weights for layer.

### Value

A tensor, the dot product of the samples from the inputs.

### See Also

Other merge layers: `layer_add`, `layer_average`, `layer_concatenate`, `layer_maximum`, `layer_minimum`, `layer_multiply`, `layer_subtract`

[Package keras version 2.2.4 Index]